VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{F856EC8B-F03C-4515-BDC6-64CBD617566A}#8.0#0"; "fpSPR80.OCX"
Begin VB.Form ExcelImportfp 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Excel Import/Export"
   ClientHeight    =   6930
   ClientLeft      =   1575
   ClientTop       =   2010
   ClientWidth     =   9690
   LinkTopic       =   "Form1"
   ScaleHeight     =   6930
   ScaleWidth      =   9690
   Begin FPSpreadADO.fpSpread fpSpread1 
      Height          =   4815
      Left            =   240
      TabIndex        =   8
      Top             =   1440
      Width           =   9255
      _Version        =   524288
      _ExtentX        =   16325
      _ExtentY        =   8493
      _StockProps     =   64
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      SpreadDesigner  =   "ExcelImport.frx":0000
   End
   Begin VB.CommandButton Command1 
      Caption         =   "View Log File"
      Height          =   375
      Left            =   540
      TabIndex        =   7
      Top             =   6360
      Width           =   1155
   End
   Begin VB.TextBox Text4 
      Height          =   285
      Left            =   8400
      TabIndex        =   0
      Top             =   6420
      Visible         =   0   'False
      Width           =   855
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   7980
      Top             =   6360
      _ExtentX        =   688
      _ExtentY        =   688
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin VB.Label Label6 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Note: The log file will always be written to the directory you are reading from or reading to and will be called log.txt."
      Height          =   555
      Left            =   1740
      TabIndex        =   6
      Top             =   6360
      Width           =   4755
   End
   Begin VB.Label Label5 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Import File:"
      Height          =   855
      Left            =   5640
      TabIndex        =   5
      Top             =   480
      Width           =   3555
   End
   Begin VB.Label Label4 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00FFFFFF&
      Caption         =   "Export File:"
      Height          =   195
      Left            =   4740
      TabIndex        =   4
      Top             =   480
      Width           =   855
   End
   Begin VB.Label Label3 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Import File:"
      Height          =   855
      Left            =   1080
      TabIndex        =   3
      Top             =   480
      Width           =   3555
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      BackColor       =   &H00FFFFFF&
      Caption         =   "Import File:"
      Height          =   195
      Left            =   180
      TabIndex        =   2
      Top             =   480
      Width           =   855
   End
   Begin VB.Label Label1 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Spread can import and export Excel 97-2007 files. Entire books are now supported"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   120
      TabIndex        =   1
      Top             =   60
      Width           =   7575
   End
   Begin VB.Menu mnu_file 
      Caption         =   "&File"
      Begin VB.Menu mnuOpen 
         Caption         =   "&Open Excel File"
      End
      Begin VB.Menu mnuSave 
         Caption         =   "&Save Excel File"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "ExcelImportfp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim xlfile As String
Public fphandle As Integer
Public fpaction As Integer
Public fpfilename As String

Private Sub Command1_Click()
'View import/export log file
    Shell "Notepad " & App.Path & "\ImportExport\log.txt", vbNormalFocus
End Sub

Private Sub Form_Activate()
    Screen.MousePointer = 0
End Sub

Private Sub Form_Load()
Dim tempstr As String

    tempstr = "Select the menu option File/Open Excel File" & vbNewLine
    tempstr = tempstr & "Specify the file location" & vbNewLine
    tempstr = tempstr & "Specify the sheet name" & vbNewLine
    Label3.Caption = tempstr
    
    tempstr = "Select the menu option File/Save Excel File" & vbNewLine
    tempstr = tempstr & "Select the file location" & vbNewLine
    tempstr = tempstr & "Name the sheet" & vbNewLine
    Label5.Caption = tempstr
    
    'Disable View Log button
    Command1.Enabled = False
    
End Sub

Private Sub mnuExit_Click()
    Unload Me
End Sub

Private Sub mnuOpen_Click()
    Dim List() As String
    Dim ListCount As Integer
    Dim f As Long, i As Integer
    
    ReDim List(1)
     On Error GoTo ErrorHandler   ' Enable error-handling routine.

       
    fpaction = 1 'OPEN
        
    With CommonDialog1
        .FileName = "*.xls"
        .DialogTitle = "Select Excel file to open"
        .Filter = "Excel 97-2003 files (*.xls)|*.xls|Excel 2007 files (*.xlsx)|*.xlsx"
        .FilterIndex = 0
        .InitDir = App.Path & "\ImportExport\"
        .Flags = cdlOFNHideReadOnly
        .ShowOpen
       
        If .FileName = "*.xls" Or .FileName = "*.xlsx" Then Exit Sub
        fpfilename = .FileName
        f = fpSpread1.GetExcelSheetList(.FileName, List, ListCount, (App.Path & "\ImportExport\log.txt"), fphandle, True)
        If (ListCount - 1 > 1) Then
            ReDim List(ListCount - 1)
            f = fpSpread1.GetExcelSheetList(.FileName, List, ListCount, (App.Path & "\ImportExport\log.txt"), fphandle, False)
        End If
        xlfile = .FileName
    End With
    
    If ListCount = 0 Then
        Dim ret As IsExcel2007FileConstants
        ret = fpSpread1.IsExcel2007File(fpfilename)
        If ret = Encrypted Then
            Dim password As String
            password = InputBox$("Password?")
            MousePointer = vbHourglass
            fpSpread1.OpenExcel2007File fpfilename, password, -1, -1, App.Path & "\ImportExport\log.txt"
            MousePointer = vbDefault
        ElseIf ret = Yes Then
            MousePointer = vbHourglass
            fpSpread1.OpenExcel2007File fpfilename, "", -1, -1, App.Path & "\ImportExport\log.txt"
            MousePointer = vbDefault
        Else
            MsgBox "Error: This file is not a valid Excel 97/2000 file or is password protected.", vbExclamation, "Import Error"
        End If
        Exit Sub
    End If
    
    ExcelOptions.Combo1.AddItem ("")
    For i = 0 To ListCount - 1
        ExcelOptions.Combo1.AddItem (List(i))
    Next i
    
    ExcelOptions.Show 1
   
    'Enable view log button
    Command1.Enabled = True
    Exit Sub
    
ErrorHandler:   ' Error-handling routine.

End Sub

Private Sub mnuSave_Click()
Dim f

On Error GoTo errhandler2

    fpaction = 2 'SAVE

    With CommonDialog1
        If .FileName = "" Then
            MsgBox "Please import a file first using the above File menu"
            Exit Sub
        End If
    
        If Right$(xlfile, 5) = ".xlsx" Then
            .FileName = Left(xlfile, Len(.FileName) - 5)
        Else
            .FileName = Left(xlfile, Len(.FileName) - 4)
        End If
        .DialogTitle = "Save As New Excel Spread"
        .Filter = "Excel 97-2003 file (*.xls)|*.xls|Excel 2007 file (*.xlsx)|*.xlsx"
        .ShowSave
        fpfilename = .FileName
        
     End With
     
    If Right$(fpfilename, 5) = ".xlsx" Then
        Dim password As String
        password = InputBox$("Password (leave blank for none)?")
        fpSpread1.SaveExcel2007File fpfilename, password, None, App.Path & "\ImportExport\log.txt"
        Exit Sub
    End If
    ExcelOptions.Show 1
    
    Exit Sub
    
errhandler2:
    Exit Sub
    
End Sub
